Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Dec 2020 12:04:26 +0200

> Cc: [email-masked], [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Fri, 18 Dec 2020 14:57:01 +0100
> 
>  > 	case CURSOR_MOVEMENT_SUCCESS:
>  > 	  used_current_matrix_p = true;
>  > 	  goto done;
>  >
>  > IOW, we might think that nothing needs to be updated except perhaps
>  > the cursor position, and then fail to update the frame's title.
> 
> Just to make sure I understand your argument correctly: With my xdisp.c
> 
>    update_mode_line = (w->update_mode_line is on line 18065
> 
>    case CURSOR_MOVEMENT_SUCCESS: is on line 18458
> 
>    done: is on line 18929
> 
>    if (update_mode_line is on line 18975
> 
>    gui_consider_frame_title (w->frame); is on line 19020
> 
> so I can't see why a CURSOR_MOVEMENT_SUCCESS could bypass
> gui_consider_frame_title.

Right you are.  So I guess I don't have an answer for your question,m
and more digging needs to be done to figure out if we really need what
scrolling commands do.